Bug 148648 - cannot upgrade lang/perl5.10 to version lang/perl5.12
Summary: cannot upgrade lang/perl5.10 to version lang/perl5.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: skv
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-15 18:10 UTC by Andrei Lavreniyuk
Modified: 2010-07-23 18:50 UTC (History)
0 users

See Also:


Attachments
perl5.12.patch (1.10 KB, patch)
2010-07-16 21:51 UTC, Christopher Key
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Lavreniyuk 2010-07-15 18:10:02 UTC
# env DISABLE_CONFLICTS=1 portupgrade -o lang/perl5.12 -f perl-thr\*

--- skip ---

after-statement -Wendif-labels -Wc++-compat 
`sh  cflags "optimize='-O2 -pipe -fno-strict-aliasing'" globals.o` -DPIC -fPIC globals.c
          CCCMD =  cc -DPERL_CORE -c -DAPPLLIB_EXP="/usr/local/lib/perl5/5.12.1/BSDPAN" -DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include  -std=c89 -O2 -pipe -fno-strict-aliasing  -Wall -ansi -W -Wextra -Wdeclaration-after-statement -Wendif-labels -Wc++-compat 
LD_LIBRARY_PATH=/usr/ports/lang/perl5.12/work/perl-5.12.1 cc -Wl,-E  -fstack-protector -L/usr/local/lib -o miniperl    gv.o toke.o perly.o pad.o regcomp.o dump.o util.o mg.o reentr.o mro.o hv.o av.o run.o pp_hot.o sv.o pp.o scope.o pp_ctl.o pp_sys.o doop.o doio.o regexec.o utf8.o taint.o deb.o universal.o globals.o perlio.o perlapi.o numeric.o mathoms.o locale.o pp_pack.o pp_sort.o    miniperlmain.o opmini.o perlmini.o -lm -lcrypt -lutil
LD_LIBRARY_PATH=/usr/ports/lang/perl5.12/work/perl-5.12.1  ./miniperl -w -Ilib -MExporter -e '<?>' || make minitest
Segmentation fault (core dumped)
LD_LIBRARY_PATH=/usr/ports/lang/perl5.12/work/perl-5.12.1  ./miniperl -Ilib make_patchnum.pl
Segmentation fault (core dumped)
*** Error code 139
1 error
 
You may see some irrelevant test failures if you have been unable
to build lib/Config.pm, or the Unicode data files.
cd t && (rm -f perl; /bin/ln -s ../miniperl perl)  && LD_LIBRARY_PATH=/usr/ports/lang/perl5.12/work/perl-5.12.1  ./perl TEST -minitest base/*.t comp/*.t cmd/*.t run/*.t io/*.t re/*.t op/*.t uni/*.t </dev/tty
Segmentation fault (core dumped)
LD_LIBRARY_PATH=/usr/ports/lang/perl5.12/work/perl-5.12.1  ./miniperl -Ilib make_patchnum.pl
LD_LIBRARY_PATH=/usr/ports/lang/perl5.12/work/perl-5.12.1  ./miniperl -Ilib autodoc.pl
Segmentation fault (core dumped)
Segmentation fault (core dumped)
*** Error code 139
*** Error code 139
2 errors
*** Error code 1

Stop in /usr/ports/lang/perl5.12.
*** Error code 1

Stop in /usr/ports/lang/perl5.12.
** Command failed [exit code 1]: /usr/bin/script -qa /var/tmp/portupgrade20100715-31370-zob3bh-0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=perl-threaded-5.10.1_2 UPGRADE_PORT_VER=5.10.1_2 make
** Fix the problem and try again.
** Listing the failed packages (-:ignored / *:skipped / !:failed)
        ! lang/perl5.12 (perl-threaded-5.10.1_2)        (coredump)
Comment 1 Edwin Groothuis freebsd_committer 2010-07-15 18:10:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skv

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Christopher Key 2010-07-16 21:51:32 UTC
  The attached patch solves the problem for me.
Comment 3 kamikaze 2010-07-19 22:57:17 UTC
Works fine for me. :)
Comment 4 dfilter service freebsd_committer 2010-07-23 18:41:18 UTC
skv         2010-07-23 17:41:04 UTC

  FreeBSD ports repository

  Modified files:
    lang/perl5.12        Makefile pkg-plist 
    lang/perl5.12/files  patch-freebsd.sh 
  Log:
  [1] Unbreak build with THREADS option
  [2] Remove SUIDPERL option: SUID emulation has been removed for 5.12
  
  PR:             ports/148648 [1]
  Submitted by:   Andrei Lavreniyuk <andy.lavr@gmail.com> [1]
  WWW:            http://search.cpan.org/~jesse/perl-5.12.1/pod/perl5120delta.pod#Deprecations [2]
  
  Revision  Changes    Path
  1.122     +1 -9      ports/lang/perl5.12/Makefile
  1.6       +11 -2     ports/lang/perl5.12/files/patch-freebsd.sh
  1.47      +0 -3      ports/lang/perl5.12/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 skv freebsd_committer 2010-07-23 18:42:34 UTC
State Changed
From-To: open->closed

Committed, thanks!